org.eclipse.pde.core

## Interface IEditableModel

All Superinterfaces:
  IEditable

    public interface IEditableModel
    extends IEditable

Editable model is an editable object that can be saved. The classes that implement this interface are responsible for calling the method `save` of `IEditable` and supplying the required `PrintWriter` object.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `save()` Saves the editable model using the mechanism suitable for the concrete model implementation.

### Methods inherited from interface org.eclipse.pde.core.IEditable

`isDirty, isEditable, save, setDirty`

### Method Detail

#### save

    void save()

Saves the editable model using the mechanism suitable for the concrete model implementation. It is responsible for wrapping the `IEditable.save(PrintWriter)` operation and providing the print writer.